curl --request GET \
--url https://api.meetcampfire.com/ca/api/transactionimport requests
url = "https://api.meetcampfire.com/ca/api/transaction"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/ca/api/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"account_name": "<string>",
"entity_name": "<string>",
"date_month": "<string>",
"date_year": "<string>",
"journal": 123,
"journal_order": "<string>",
"intercompany_journal": 123,
"reconciliation_report": 123,
"reconciliation_report_ending_date": "2023-12-25",
"last_modified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"account": 123,
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_transaction_id": "<string>",
"currency": "<string>",
"amount": 0,
"amount_native": 0,
"posted_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"note": "<string>",
"bank_description": "<string>",
"external_memo": "<string>",
"merchant_id": "<string>",
"merchant_name": "<string>",
"merchant_nickname": "<string>",
"kind": "<string>",
"excluded": true,
"assigned": true,
"metadata": null
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}List Bank Transactions
Retrieve a paginated list of bank transactions with optional filtering.
Supports including soft-deleted records for audit and recovery purposes. When include_deleted=true, deleted records will have is_deleted=true and include deletion metadata (deleted_at timestamp).
Query Parameters
If true, hide bank transactions that have a pending cash-application DraftQueue attached (match drafts or categorize drafts). Default false.
When set to 'true', returns ONLY deleted records instead of active records. Deleted records contain minimal data: 'id', 'is_deleted=true', 'deleted_at' timestamp, and 'last_modified_at'. When 'false' or omitted, returns ONLY active records. This provides clean separation between active and deleted data.
Number of results to return per page.
The initial index from which to return the results.